/*
 * (c) Copyright 2004 Mauro Tortonesi - ALL RIGHTS RESERVED.
 * 
 * This file is part of the JavaBluetooth Stack.
 * 
 * The JavaBluetooth Stack is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * The JavaBluetooth Stack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * Created on Feb 8, 2004
 * by Mauro Tortonesi
 */

package org.javabluetooth.stack.hci;

/** 
 * The HCITransportListener interface describes objects that listen for
 * incoming data from low-level HCITransport drivers.
 * @author Mauro Tortonesi
 */
public interface HCITransportListener {
    public void receiveData(byte[] incomingBytes, int incomingLength); 
}
/*
 * vim: et ts=4 sw=4
 */

