/*
 * (c) Copyright 2004 Mauro Tortonesi - ALL RIGHTS RESERVED
 * 
 * This file is part of the JavaBluetooth Stack.
 * 
 * The JavaBluetooth Stack is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * The JavaBluetooth Stack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */

package org.javabluetooth.stack.sco;

import java.io.*;
import javax.bluetooth.L2CAPConnection;
import javax.bluetooth.L2CAPConnectionNotifier;
import javax.bluetooth.ServiceRecord;
import org.javabluetooth.stack.BluetoothStack;
import org.javabluetooth.stack.hci.HCIException;
import org.javabluetooth.stack.sdp.SDPLocalServiceRecord;
import org.javabluetooth.util.Debug;

/** 
 * This class is used by the Connecter.open(String url) method. 
 * @author Mauro Tortonesi
 */
public class BluezSCOConnectionNotifier implements SCOConnectionNotifier {
    private String interfaceName;

    public BluezSCOConnectionNotifier(String _interfaceName) {
        /* setup interface name */
        interfaceName = _interfaceName;
    }

    public SCOConnection acceptAndOpen() throws IOException {
        /* waiting for connection from */
        Debug.println(1, "Waiting for connection from SCO socket");
        /*
        BluezSCOConnection conn = new BluezSCOConnection(interfaceName);
        try {
            BluetoothStack bluetooth = BluetoothStack.getBluetoothStack();
            //bluetooth.registerSCOService(conn, (short)0x1002, serviceRecord.toByteArray());
        }
        catch (HCIException e) {
            throw new IOException(e.toString());
        }
        while (jsr82Channel.channelState != L2CAPChannel.OPEN) {
            try { Thread.sleep(1000); }
            catch (InterruptedException e1) { }
        }
        return (SCOConnection)conn;
        */

        return null;
    }

    /*
    public ServiceRecord getRecord() {
        return serviceRecord;
    }
    */

    public void close() {
        // TODO: unregister this service from SDPServer
    }
}
/*
 * vim: et ts=4 sw=4
 */

