/*
 * (c) Copyright 2003 Mauro Tortonesi - ALL RIGHTS RESERVED.
 * 
 * This file is part of the JavaBluetooth Stack.
 * 
 * The JavaBluetooth Stack is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * The JavaBluetooth Stack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */

package org.javabluetooth.stack.sco;

import java.io.IOException;
import javax.microedition.io.Connection;
import javax.bluetooth.RemoteDevice;

public interface SCOConnection extends Connection {
    public int getTransmitMTU() throws IOException;
    public int getReceiveMTU() throws IOException;
    public void send(byte[] data) throws IOException;
    public int receive(byte[] inBuf) throws IOException;
    public boolean ready() throws IOException;
    public RemoteDevice getRemoteDevice();
}
/*
 * vim: et ts=4 sw=4
 */

