/*
 * (c) Copyright 2004 Mauro Tortonesi - ALL RIGHTS RESERVED.
 * 
 * This file is part of the JavaBluetooth Stack.
 * 
 * The JavaBluetooth Stack is free software; you can redistribute it 
 * and/or modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 * 
 * The JavaBluetooth Stack is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 */
package org.javabluetooth.util;

/** 
 * BluetoothAddressException indicates some error with Bluetooth address 
 * representations.
 * @author Mauro Tortonesi
 */
public class BluetoothAddressException extends Exception {
    public BluetoothAddressException() {
        super();
    }

    public BluetoothAddressException(String str) {
        super(str);
    }
}
/*
 * vim: et ts=4 sw=4
 */

